Loading...
Searching...
No Matches
gtsam::traits< Eigen::Matrix< double, 1, -1, Options, MaxRows, MaxCols > > Struct Template Reference
Inheritance diagram for gtsam::traits< Eigen::Matrix< double, 1, -1, Options, MaxRows, MaxCols > >:

## Additional Inherited Members

Static Public Member Functions inherited from gtsam::internal::DynamicTraits< 1, -1, Options, MaxRows, MaxCols >
static void | Print (const Dynamic &m, const std::string &str="")
static bool | Equals (const Dynamic &v1, const Dynamic &v2, double tol=1e-8)
static TangentVector | Logmap (const Dynamic &m, ChartJacobian H=boost::none)
static Dynamic | Expmap (const TangentVector &, ChartJacobian H=boost::none)
static Dynamic | Inverse (const Dynamic &m, ChartJacobian H=boost::none)
static Dynamic | Compose (const Dynamic &v1, const Dynamic &v2, ChartJacobian H1=boost::none, ChartJacobian H2=boost::none)
static Dynamic | Between (const Dynamic &v1, const Dynamic &v2, ChartJacobian H1=boost::none, ChartJacobian H2=boost::none)
static int | GetDimension (const Dynamic &m)
static Jacobian | Eye (const Dynamic &m)
static TangentVector | Local (const Dynamic &m, const Dynamic &other, ChartJacobian H1=boost::none, ChartJacobian H2=boost::none)
static Dynamic | Retract (const Dynamic &m, const TangentVector &v, ChartJacobian H1=boost::none, ChartJacobian H2=boost::none)
static Dynamic | Identity ()
Public Types inherited from gtsam::internal::DynamicTraits< 1, -1, Options, MaxRows, MaxCols >
typedef vector_space_tag | structure_category
typedef Eigen::Matrix< double, M, N, Options, MaxRows, MaxCols > | Dynamic
enum |
typedef Eigen::VectorXd | TangentVector
typedef Eigen::MatrixXd | Jacobian
typedef OptionalJacobian< dimension, dimension > | ChartJacobian
typedef Dynamic | ManifoldType
typedef additive_group_tag | group_flavor

The documentation for this struct was generated from the following file:

- /build/gtsam-gchP9J/gtsam-4.2.2+dfsg/gtsam/base/VectorSpace.h